<?php
 namespace WizyTowka; abstract class AdminPanelPage extends Controller { protected $_pageTitle = 'Panel administracyjny'; protected $_userRequiredPermissions; protected $_userMustBeLoggedIn = true; protected $_currentUser; private $_HTMLLayout; private $_HTMLTopMenu; private $_HTMLMainMenu; protected $_HTMLHead; protected $_HTMLTemplate; protected $_HTMLContextMenu; protected $_HTMLMessage; final public function __construct() { $session = WT()->session; $settings = WT()->settings; if ($session->isUserLoggedIn()) { $this->_currentUser = User::getById($session->getUserId()); if ($this->_userRequiredPermissions and !($this->_currentUser->permissions & $this->_userRequiredPermissions)) { if (($_GET['c'] ?? '') == $settings->adminPanelDefaultPage) { $this->_redirect('about'); } $this->_redirect('error', ['type' => 'permissions']); } } elseif ($this->_userMustBeLoggedIn) { $redirect = $_SERVER['QUERY_STRING'] ?? ''; if (($_GET['c'] ?? '') == $settings->adminPanelDefaultPage and count($_GET) == 1) { $redirect = ''; } $this->_redirect('login', $redirect ? ['redirect' => $redirect] : []); } $this->_setupHTMLParts(); $this->_prepare(); } private function _setupHTMLParts() : void { $this->_HTMLHead = new HTMLHead; $this->_HTMLHead->setAssetsPath(SYSTEM_URL . '/assets'); $this->_HTMLHead->setTitlePattern('%s — ' . VERSION_NAME); $this->_HTMLHead->title($this->_pageTitle); $this->_HTMLHead->meta('viewport', 'width=device-width'); $this->_HTMLHead->meta('theme-color', '#232323'); $this->_HTMLHead->stylesheet('AdminMain.css'); $this->_HTMLHead->stylesheet('AdminIcons.css'); $this->_HTMLHead->stylesheet('https://fonts.googleapis.com/css?family=Lato:400,700&subset=latin-ext'); $className = substr(strrchr(static::class, '\\'), 1); $this->_HTMLTemplate = new HTMLTemplate($className, SYSTEM_DIR.'/templates/AdminPages'); $this->_HTMLContextMenu = new HTMLMenu; $this->_HTMLMessage = new HTMLMessage(null, 'AdminPanel'); if ($this->_userMustBeLoggedIn) { $this->_setupMenus(); } } private function _setupMenus() : void { $settings = WT()->settings; $this->_HTMLTopMenu = new HTMLMenu; $this->_HTMLTopMenu->append($this->_currentUser->name, self::URL('preferences'), 'iconUser'); if (false) { $this->_HTMLTopMenu->append('Zaktualizuj', self::URL('systemUpdate'), 'iconUpdates'); } $this->_HTMLTopMenu->append('Zobacz witrynę', $settings->websiteAddress, 'iconWebsite', ['target' => '_blank']); $this->_HTMLTopMenu->append('Wyloguj się', self::URL('logout'), 'iconLogout'); $this->_HTMLMainMenu = new HTMLMenu; $add = function($label, $url, $CSSClass, $permission = null, $lockdown = null) use ($settings) { $hasPermission = $permission ? ($this->_currentUser->permissions & $permission) : true; $isLockdowned = $lockdown ? $settings->{'lockdown' . $lockdown} : false; $this->_HTMLMainMenu->append($label, $url, $CSSClass, [], $hasPermission and !$isLockdowned); }; $add('Strony', self::URL('pages'), 'iconPages', User::PERM_MANAGE_PAGES); $add( 'Utwórz stronę', self::URL('pageCreate'), 'iconAdd', ($this->_currentUser->permissions & User::PERM_CREATE_PAGES) ? User::PERM_PUBLISH_PAGES : User::PERM_CREATE_PAGES ); $add('Szkice', self::URL('pages', ['drafts' => 1]), 'iconDrafts', User::PERM_MANAGE_PAGES); $add('Utwórz szkic', self::URL('pageCreate', ['draft' => 1]), 'iconAdd', User::PERM_CREATE_PAGES); $add('Pliki', self::URL('files'), 'iconFiles', User::PERM_MANAGE_FILES); $add('Wyślij pliki', self::URL('filesSend'), 'iconAdd', User::PERM_MANAGE_FILES); $add('Menu', self::URL('menus'), 'iconMenus' , User::PERM_WEBSITE_ELEMENTS); $add('Obszary', self::URL('areas'), 'iconAreas' , User::PERM_WEBSITE_ELEMENTS); $add('Personalizacja', self::URL('customization'), 'iconCustomization', User::PERM_WEBSITE_SETTINGS); $add('Ustawienia', self::URL('websiteSettings'), 'iconSettings', User::PERM_WEBSITE_SETTINGS); $add('Użytkownicy', self::URL('users'), 'iconUsers', User::PERM_SUPER_USER, 'Users'); $add('Utwórz użytkownika', self::URL('userCreate'), 'iconAdd', User::PERM_SUPER_USER, 'Users'); $add('Edytor plików', self::URL('dataEditor_List'), 'iconDataEditor', User::PERM_SUPER_USER, 'DataEditor'); $add('Utwórz plik', self::URL('dataEditor_Editor'), 'iconAdd', User::PERM_SUPER_USER, 'DataEditor'); $add('Kopia zapasowa', self::URL('backup'), 'iconBackup', User::PERM_SUPER_USER, 'Backup'); $add('Informacje', self::URL('about'), 'iconAbout'); } final public function output() : void { $this->_output(); $this->_HTMLLayout = new HTMLTemplate( $this->_userMustBeLoggedIn ? 'AdminPanelLayout' : 'AdminPanelAlternative', SYSTEM_DIR . '/templates' ); $this->_HTMLLayout->head = $this->_HTMLHead; $this->_HTMLLayout->topMenu = $this->_HTMLTopMenu; $this->_HTMLLayout->mainMenu = $this->_HTMLMainMenu; $this->_HTMLLayout->contextMenu = $this->_HTMLContextMenu; $this->_HTMLLayout->message = $this->_HTMLMessage; $this->_HTMLLayout->pageTitle = $this->_pageTitle; $this->_HTMLLayout->pageTemplate = $this->_HTMLTemplate; $this->_HTMLLayout->id = lcfirst($_GET['c'] ?? ''); $this->_HTMLTemplate->utils = HTML::class; $this->_HTMLTemplate->formFields = HTMLFormFields::class; $this->_HTMLTemplate->elementsList = HTMLElementsList::class; $this->_HTMLTemplate->adminPanelURL = [AdminPanel::class, 'URL']; $this->_HTMLTemplate->websiteURL = [Website::class, 'URL']; $this->_HTMLLayout->render(); } protected function _prepare() : void {} protected function _output() : void {} static public function URL($target, array $arguments = []) : string { return AdminPanel::URL(...func_get_args()); } }