<?php
 namespace WizyTowka; class Website extends Controller { private $_page = null; private $_contentTypeAPI = null; private $_HTMLTemplate; private $_renderer; private $_settings; public function __construct() { $this->_settings = WT()->settings; $this->_page = !empty($_GET['id']) ? Page::getBySlug($_GET['id']) : Page::getById($this->_settings->websiteHomepageId); if (!$this->_page or $this->_page->isDraft) { $this->_page = null; } $this->_sendHTTPHeaders(); $this->_HTMLTemplate = new HTMLTemplate; if ($this->_page) { if (!$contentType = ContentType::getByName($this->_page->contentType)) { throw WebsiteException::contentTypeNotExists($this->_page->contentType); } $this->_contentTypeAPI = $contentType->initWebsitePageBox(); $this->_contentTypeAPI->setPageData($this->_page->contents, $this->_page->settings); } $this->_renderer = new WebsiteRenderer($this->_HTMLTemplate, $this->_page, $this->_contentTypeAPI); } private function _sendHTTPHeaders() : void { if (!$this->_page) { header('HTTP/1.1 404 Not Found'); } header('X-XSS-Protection: 1; mode=block'); header('X-Content-Type-Options: nosniff'); header('X-Frame-Options: Deny'); header('X-Powered-By: WizyTowka CMS'); } public function POSTQuery() : void { if ($this->_page) { try { $this->_contentTypeAPI->POSTQuery(); } catch (ContentTypeAPIException $e) {} } } public function output() : void { if ($this->_page) { $this->_contentTypeAPI->HTMLContent(); } $this->_renderer->prepareTemplate(); $this->_HTMLTemplate->render(); } static public function URL($target, array $arguments = []) : ?string { $settings = WT()->settings; $slug = (string)$target; if (is_integer($target)) { if (!$page = Page::getById($target)) { return null; } $slug = $page->slug; if ($page->id == $settings->websiteHomepageId and !$settings->websiteAddressRelative) { $slug = ''; } } $prettyLinks = $settings->websitePrettyLinks; if (isset($arguments['id'])) { throw ControllerException::unallowedKeyInURLArgument('id'); } if (!$prettyLinks and $slug) { $arguments = ['id' => $slug] + $arguments; } return ($settings->websiteAddressRelative ? '' : $settings->websiteAddress . '/') . (($prettyLinks and $slug) ? '/' . $slug : '') . ($arguments ? '?' . http_build_query($arguments) : ''); } } class WebsiteException extends Exception { static public function contentTypeNotExists($name) { return new self('Content type "' . $name . '" does not exists.', 1); } }