<?php
 namespace WizyTowka\_Private; use WizyTowka as __; class System { private const TOPLEVEL_NAMESPACE = 'WizyTowka'; private $_isInitialized; private $_srv = []; public function __construct() { require_once __DIR__ . '/Autoloader.php'; mb_internal_encoding('UTF-8'); mb_regex_encoding('UTF-8'); $this->_srv['autoloader'] = new Autoloader; $this->_srv['autoloader']->addNamespace(self::TOPLEVEL_NAMESPACE, __\SYSTEM_DIR . '/classes'); $this->_srv['autoloader']->addNamespace(__NAMESPACE__, __\SYSTEM_DIR . '/classes/_Private'); spl_autoload_register([$this->_srv['autoloader'], 'autoload']); $this->_srv['errors'] = new ErrorHandler; set_error_handler([$this->_srv['errors'], 'handleError']); set_exception_handler([$this->_srv['errors'], 'handleException']); $_GET = new ReadOnlyArray($_GET, '_GET'); $_POST = new ReadOnlyArray($_POST, '_POST'); $_FILES = new ReadOnlyArray($_FILES, '_FILES'); $_SERVER = new ReadOnlyArray($_SERVER, '_SERVER'); $_COOKIE = new ReadOnlyArray($_COOKIE, '_COOKIE'); } public function __get(string $name) { if (!$this->_isInitialized and !isset($this->_srv[$name])) { return null; } switch ($name) { case 'settings': return $this->_srv[$name] ?? $this->_srv[$name] = new __\ConfigurationFile(__\CONFIG_DIR . '/settings.conf'); case 'hooks': return $this->_srv[$name] ?? $this->_srv[$name] = new HooksManager; case 'session': return $this->_srv[$name] ?? $this->_srv[$name] = new SessionManager( 'WTCMS__' . $this->settings->sessionCookiePart, new __\ConfigurationFile(__\CONFIG_DIR . '/sessions.conf') ); case 'database': return $this->_srv[$name] ?? $this->_srv[$name] = new DatabasePDO( ($settings = $this->settings)->databaseType, ($settings->databaseType == 'sqlite' ? __\CONFIG_DIR . '/database.db' : $settings->databaseName), $settings->databaseHost, $settings->databaseUsername, $settings->databasePassword ); case 'autoloader': case 'errors': return $this->_srv[$name]; default: trigger_error('Undefined property: ' . __CLASS__ . '::$' . $name, E_USER_NOTICE); return null; } } public function __set(string $name, $value) : void {} public function __invoke(string $controllerName) : void { if ($this->_isInitialized) { return; } $this->_isInitialized = true; $isInstalled = is_file(__\CONFIG_DIR . '/settings.conf'); if (!$isInstalled) { $this->_runController(new InstallationWizard); exit; } $this->_srv['errors']->setLogFilePath(__\CONFIG_DIR . '/errors.log'); $settings = $this->settings; $this->_srv['errors']->setShowDetails($settings->systemShowErrors); if ($settings->phpSettingsLocales) { setlocale(LC_ALL, explode('|', $settings->phpSettingsLocales)); } if ($settings->phpSettingsTimeZone) { date_default_timezone_set($settings->phpSettingsTimeZone); } foreach (__\Plugin::getAll() as $plugin) { $plugin->init(); } $this->hooks->runAction('Init'); register_shutdown_function(function(){ $this->hooks->runAction('Shutdown'); }); $controllerClass = self::TOPLEVEL_NAMESPACE . '\\' . $controllerName; $this->_runController(new $controllerClass); $this->hooks->runAction('End'); } private function _runController(__\Controller $controller) : void { if ($_SERVER['REQUEST_METHOD'] == 'POST') { $controller->POSTQuery(); } $controller->output(); } public function overwrite(string $name, $value) : void { $this->_srv[$name] = $value; } public function getDefaultSettings() : __\ConfigurationFile { return new __\ConfigurationFile(__\SYSTEM_DIR . '/defaults/settings.conf', true); } }